RUN-PARTS(8)

NOME
run-parts - esegue script o programmi in una directory

SINTASSI
run-parts [--test] [--verbose] [--debug] [--report] [--lsbsysinit] [--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] DIRECTORY [DIRECTORY ...]

run-parts -V

DESCRIZIONE
run-parts esegue tutti i file eseguibili i cui nomi soddisfano i criteri descritti in seguito, che si trovano nella directory directory. Gli altri file e directory vengono silenziosamente ignorate. Se non è specificata né l'opzione --lsbsysinit né l'opzione --regex, allora i nomi devono essere composti interamente di lettere ASCII minuscole e maiuscole, cifre ASCII, trattini bassi ASCII e trattini-meno ASCII. If the --lsbsysinit option is given, then the names must not end in .dpkg-old or .dpkg-dist or .dpkg-new or .dpkg-tmp, and must belong to one or more of the following namespaces: the LANANA-assigned namespace (^[a-z0-9]+$); the LSB hierarchical and reserved namespaces (^_?([a-z0-9_.]+-)+[a-z0-9]+$); and the Debian cron script namespace (^[a-zA-Z0-9_-]+$). Se viene specificata l'opzione --regex, i nomi devono corrispondere all'espressione regolare estesa personalizzata specificata come argomento di tale opzione. Files are run sequentially in the lexical sort order (according to the C/POSIX locale character collation rules) of their names unless the --reverse option is given, in which case they are run in the opposite order. If more than more DIRECTORY is specified, then files with the same name in earlier directories will take precedence over files in directories specified in later arguments. This allows run-parts to receive directories with scripts in both /usr and /etc but let files in /etc override scripts in /usr if they are named the same. The directory under /etc would need to be specified before the path under /usr for this to happen.

OPZIONI

--test
    stampa i nomi degli script che verrebbero eseguiti, ma non li esegue veramente.

--list
    stampa i nomi di tutti i file che corrispondono (non soltanto gli eseguibili), ma non li esegue veramente. Questa opzione non può essere usata con --test.

-v, --verbose
    stampa il nome di ogni script su stderr prima dell'esecuzione.

--report
    simile a --verbose, ma stampa solo il nome degli script che producono output. Il nome dello script viene stampato su stdout o stderr, a seconda su quale dei due lo script produce prima output.

-d, --debug
    print to stderr which scripts get selected for running and which don't.

--reverse
    inverte l'ordine di esecuzione degli script.

--exit-on-error
    termina non appena uno script restituisce un codice d'uscita diverso da zero.

--stdin
    multiplex stdin to scripts being run, using temporary file

--lsbsysinit
    usa spazi dei nomi LSB invece del comportamento classico.

--new-session
    esegue ciascuno script in una sessione di processo separata. Se viene usata questa opzione, uccidendo run-parts non si uccide lo script attualmente in esecuzione che verrà eseguito fino a compimento.

--regex=ER
    convalida i nomi dei file rispetto all'espressione regolare estesa personalizzata RE. Vedere la sezione ESEMPI per un esempio.

-u, --umask=umask
    imposta l'umask a umask prima di eseguire gli script. umask deve essere specificata in forma ottale. In modo predefinito è impostata a 022.

-a, --arg=argomento
    passa argomento agli script. Usare --arg una volta per ciascun argomento che si desidera passare.

--  specifica che questa è la fine delle opzioni. Ogni nome di file dopo -- non verrà interpretato come un'opzione anche se inizia con un trattino.

-h, --help
    visualizza informazioni sull'uso e termina.

-V, --version
    visualizza la versione e il copyright e termina.

ESEMPI
Stampa i nomi di tutti i file in /etc che iniziano con «p» e terminano con «d»:

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT
Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Clint Adams run-parts è software libero; vedere la GNU General Public License versione 2 o successiva per le condizioni per la copia. Non c'è alcuna garanzia.